x11-misc/slop: strict_multilib ?

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

x11-misc/slop: strict_multilib ?

tuxic
Hi,

while updateing maim/slop I got an error for slop:

>>> Install slop-6.3.46 into /var/tmp/portage/x11-misc/slop-6.3.46/image/ category x11-misc
>>> Working in BUILD_DIR: "/var/tmp/portage/x11-misc/slop-6.3.46/work/slop-6.3.46_build"
make -j6 install
[ 87%] Built target slopy
[100%] Built target slop
Install the project...
-- Install configuration: "Gentoo"
-- Installing: /var/tmp/portage/x11-misc/slop-6.3.46/image/usr/bin/slop
-- Set runtime path of "/var/tmp/portage/x11-misc/slop-6.3.46/image//usr/bin/slop" to ""
-- Installing: /var/tmp/portage/x11-misc/slop-6.3.46/image/usr/lib/libslopy.so
-- Installing: /var/tmp/portage/x11-misc/slop-6.3.46/image/usr/include/slop.hpp
-- Installing: /var/tmp/portage/x11-misc/slop-6.3.46/image/usr/share/man/man1/slop.1.gz
>>> Completed installing slop-6.3.46 into /var/tmp/portage/x11-misc/slop-6.3.46/image/

 * Final size of build directory: 2472 KiB
 * Final size of installed tree: 608 KiB

Files matching a file type that is not allowed:
   usr/lib/libslopy.so
 * ERROR: x11-misc/slop-6.3.46::gentoo failed:
 *   multilib-strict check failed!


Previous versions of slop build just fine on my 64-bit only box...now
it seems to want multilib mandantory...

Is it just an glitch in The Matrix ... or ,,, ?

Cheers
Meino





Reply | Threaded
Open this post in threaded view
|

Re: x11-misc/slop: strict_multilib ?

Sam Jorna (wraeth)
On Thu, Sep 14, 2017 at 05:10:47AM +0200, [hidden email] wrote:
> Hi,
>
> while updateing maim/slop I got an error for slop:
>
<snip>

>
> Files matching a file type that is not allowed:
>    usr/lib/libslopy.so
>  * ERROR: x11-misc/slop-6.3.46::gentoo failed:
>  *   multilib-strict check failed!
>
>
> Previous versions of slop build just fine on my 64-bit only box...now
> it seems to want multilib mandantory...
>
> Is it just an glitch in The Matrix ... or ,,, ?
FEATURES=multilib-strict ensures packages install files into
arch-specific lib directories rather than relying on just "lib/".
Basically it means that, in order to satisfy multilib-strict, packages
must install only to either lib32/ or lib64/.

You can get around this yourself by (temporarily) disabling the
restriction:

FEATURES=-multilib-strict emerge -1a =x11-misc/slop-6.3.46

This has also be logged as bug 629440[1] so you could just wait for it
to be resolved.

[1] https://bugs.gentoo.org/show_bug.cgi?id=629440

--
Sam Jorna (wraeth)
GnuPG Key: D6180C26

signature.asc (875 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: x11-misc/slop: strict_multilib ?

tuxic

On 09/14 03:17, Sam Jorna wrote:

> On Thu, Sep 14, 2017 at 05:10:47AM +0200, [hidden email] wrote:
> > Hi,
> >
> > while updateing maim/slop I got an error for slop:
> >
> <snip>
> >
> > Files matching a file type that is not allowed:
> >    usr/lib/libslopy.so
> >  * ERROR: x11-misc/slop-6.3.46::gentoo failed:
> >  *   multilib-strict check failed!
> >
> >
> > Previous versions of slop build just fine on my 64-bit only box...now
> > it seems to want multilib mandantory...
> >
> > Is it just an glitch in The Matrix ... or ,,, ?
>
> FEATURES=multilib-strict ensures packages install files into
> arch-specific lib directories rather than relying on just "lib/".
> Basically it means that, in order to satisfy multilib-strict, packages
> must install only to either lib32/ or lib64/.
>
> You can get around this yourself by (temporarily) disabling the
> restriction:
>
> FEATURES=-multilib-strict emerge -1a =x11-misc/slop-6.3.46
>
> This has also be logged as bug 629440[1] so you could just wait for it
> to be resolved.
>
> [1] https://bugs.gentoo.org/show_bug.cgi?id=629440
>
> --
> Sam Jorna (wraeth)
> GnuPG Key: D6180C26

Hi Sam,

thanks a lot for your help! :)

Cheers
Meino